Debian Bug report logs - #149321
util-linux: ddate should probably be in a different package

version graph

Package: util-linux; Maintainer for util-linux is LaMont Jones <lamont@debian.org>; Source for util-linux is src:util-linux.

Reported by: "Silas S. Brown" <ssb22@cam.ac.uk>

Date: Fri, 7 Jun 2002 18:03:01 UTC

Severity: normal

Tags: patch

Found in version 2.11n-4

Fixed in version util-linux/2.11z-3

Done: lamont@hp.com (LaMont Jones)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>, util-linux@packages.qa.debian.org:
Bug#149321; Package util-linux. Full text and rfc822 format available.

Acknowledgement sent to "Silas S. Brown" <ssb22@cam.ac.uk>:
New Bug report received and forwarded. Copy sent to LaMont Jones <lamont@debian.org>, util-linux@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Silas S. Brown" <ssb22@cam.ac.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: util-linux: ddate should probably be in a different package
Date: Fri, 07 Jun 2002 18:50:16 +0100
Package: util-linux
Version: 2.11n-4
Severity: normal

The ddate utility supports the printing of Discordian dates,
as used by the (apparently fictional) Church of the
SubGenius.

People with more traditional moral values might not
appreciate a reference to or advertisement for this movement
being present on their system.  However, because it is in
util-linux, they will not be able to selectively remove it
(unless they write a script that is to be run after every
upgrade).

This is significant because it can prevent such people from
recommending Debian.  It would be much better if "ddate"
were in some other package (perhaps a package of its own) so
that it is easier to maintain a system without it, should
the user wish to do so.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux ssb22 2.4.18 #2 Mon Mar 4 21:50:35 GMT 2002 i686
Locale: LANG=en_GB, LC_CTYPE=en_GB

Versions of packages util-linux depends on:
ii  libc6                    2.2.5-6         GNU C Library: Shared libraries an
ii  libncurses5              5.2.20020112a-7 Shared libraries for terminal hand
ii  slang1                   1.4.4-7.2       The S-Lang programming library - r




Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>, util-linux@packages.qa.debian.org:
Bug#149321; Package util-linux. Full text and rfc822 format available.

Acknowledgement sent to lamont@hp.com:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>, util-linux@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 149321@bugs.debian.org (full text, mbox):

From: lamont@hp.com
To: "Silas S. Brown" <ssb22@cam.ac.uk>, 149321@bugs.debian.org
Subject: Re: Bug#149321: util-linux: ddate should probably be in a different package
Date: Fri, 7 Jun 2002 12:04:07 -0600 (MDT)
You should receive this automatic response only once each week.

I will be out of the office until Jul 9, and will be checking email
sporadically, at best.  I hope to dig out from under the mail load
within a week of my return. :-(

For HP related stuff, you might try these (correct) addresses instead:

HP socks issues:		socks@nsi.corp.hp.com
HP security-alert stuff:	security-alert@hp.com
ftp.cup.hp.com:			ftpadmin@ftp.cup.hp.com
hostmaster issues:		hostmaster@hp.com



Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>, util-linux@packages.qa.debian.org:
Bug#149321; Package util-linux. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@progeny.com>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>, util-linux@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 149321@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@progeny.com>
To: 149321@bugs.debian.org, control@bugs.debian.org
Subject: Re: util-linux: ddate should probably be in a different package
Date: Thu, 13 Feb 2003 14:52:15 -0500
[Message part 1 (text/plain, inline)]
tag 149321 + patch
thanks

Hi LaMont,

Here's a patch to resolve Bug #149321.  I don't think a transitional
package in necessary in this specific case (as it would normally be when
a binary package is split), because as far as I know nothing actually
depends on the ddate program, and certainly nothing has any business
assuming that ddate is "Essential" functionality.  Except for very
pedantic traditionalists.  :)

There is another reason one might want to split ddate off; some people
may object to the just-under-10kB (on i386) that ddate and its manpage
occupy.  However, a new 40kB package to achieve a 10kB savings in
util-linux may not, in your estimation, be a worthwhile tradeoff.

Should you decide that it is, hopefully this patch will make life a
little easier for you.

(By the way, ever thought about "porting" util-linux to debhelper?  That
would have made this patch *really* trivial.)

Keep up the good work!

-- 
Branden Robinson          | GPG signed/encrypted mail welcome
branden@progeny.com       | 1024D/9C0BCBFB
Progeny Linux Systems     | D5F6 D4C9 E25B 3D37 068C
                          | 72E8 0F42 191A 9C0B CBFB
[ddate-package.diff (text/plain, attachment)]

Tags added: patch Request was from Branden Robinson <branden@progeny.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>, util-linux@packages.qa.debian.org:
Bug#149321; Package util-linux. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>, util-linux@packages.qa.debian.org. Full text and rfc822 format available.

Message #22 received at 149321@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Branden Robinson <branden@progeny.com>, 149321@bugs.debian.org
Subject: Re: Bug#149321: util-linux: ddate should probably be in a different package
Date: Fri, 14 Feb 2003 14:44:45 +0000
* Branden Robinson <branden@progeny.com> [2003-02-13 14:52]:
> Should you decide that it is, hopefully this patch will make life a
> little easier for you.

Hmm, I agree that ddate shouldn't really be in ddate.  But putting it
in a package on its own when the binary is only 7K (plus 1K for the
man page) seems a bit overkill too.

-- 
Martin Michlmayr
tbm@cyrius.com



Reply sent to LaMont Jones <lamont@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Silas S. Brown" <ssb22@cam.ac.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 149321-close@bugs.debian.org (full text, mbox):

From: LaMont Jones <lamont@debian.org>
To: 149321-close@bugs.debian.org
Subject: Bug#149321: fixed in util-linux 2.11z-3
Date: Wed, 21 May 2003 11:02:30 -0400
We believe that the bug you reported is fixed in the latest version of
util-linux, which is due to be installed in the Debian FTP archive:

bsdutils_2.11z-3_i386.deb
  to pool/main/u/util-linux/bsdutils_2.11z-3_i386.deb
fdisk-udeb_2.11z-3_i386.udeb
  to pool/main/u/util-linux/fdisk-udeb_2.11z-3_i386.udeb
mount_2.11z-3_i386.deb
  to pool/main/u/util-linux/mount_2.11z-3_i386.deb
util-linux-locales_2.11z-3_all.deb
  to pool/main/u/util-linux/util-linux-locales_2.11z-3_all.deb
util-linux_2.11z-3.diff.gz
  to pool/main/u/util-linux/util-linux_2.11z-3.diff.gz
util-linux_2.11z-3.dsc
  to pool/main/u/util-linux/util-linux_2.11z-3.dsc
util-linux_2.11z-3_i386.deb
  to pool/main/u/util-linux/util-linux_2.11z-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 149321@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
LaMont Jones <lamont@debian.org> (supplier of updated util-linux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 21 May 2003 07:47:41 -0600
Source: util-linux
Binary: util-linux fdisk-udeb util-linux-locales bsdutils mount
Architecture: source i386 all
Version: 2.11z-3
Distribution: unstable
Urgency: low
Maintainer: LaMont Jones <lamont@debian.org>
Changed-By: LaMont Jones <lamont@debian.org>
Description: 
 bsdutils   - Basic utilities from 4.4BSD-Lite
 fdisk-udeb - Partition a hard drive (manual, cfdisk) (udeb)
 mount      - Tools for mounting and manipulating filesystems
 util-linux - Miscellaneous system utilities
 util-linux-locales - Locales files for util-linux
Closes: 139953 148714 149321 149996 167484 174459 180737 194149
Changes: 
 util-linux (2.11z-3) unstable; urgency=low
 .
   * Fix bashism in postinst from hurd port.  Closes: #194149
   * Drop ddate.  Closes: #149321, #174459, #180737
   * Clean up messages in hwclock.sh.  Closes: #167484
   * Some package description changes. Closes: #139953
   * properly install changelog.  Closes: #148714
   * Fix hwclock man page reference to /usr/local/timezone. Closes: #149996
Files: 
 aaad088749e462cb2047cba37f911de4 641 base required util-linux_2.11z-3.dsc
 2c5682b6338cfb64c7909301c6f0c420 65971 base required util-linux_2.11z-3.diff.gz
 acaf347171379ca5ff5d3cd7ce51b374 340280 base required util-linux_2.11z-3_i386.deb
 3c8264ca65b6ee68fb753b8561d3c42b 83542 debian-installer standard fdisk-udeb_2.11z-3_i386.udeb
 69969484541305bf847cc8adf0febf42 131458 base required mount_2.11z-3_i386.deb
 c5f8bddbc625335ab135b38b98364c76 60158 base required bsdutils_2.11z-3_i386.deb
 97932720ad1a264657a58f5e88951bd5 991062 utils optional util-linux-locales_2.11z-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE+y5HyzN/kmwoKyScRAiVOAJ9vioRzjazXQjXBOaZscTL7M3qCOgCcCqFB
DTxGHVzEOV7NIXX508snunI=
=CBju
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from Michael Piefel <piefel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#149321; Package util-linux. Full text and rfc822 format available.

Acknowledgement sent to Göran Weinholt <weinholt@dtek.chalmers.se>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. Full text and rfc822 format available.

Message #34 received at 149321@bugs.debian.org (full text, mbox):

From: Göran Weinholt <weinholt@dtek.chalmers.se>
To: "Silas S. Brown" <ssb22@cam.ac.uk>
Cc: 149321@bugs.debian.org
Subject: Re: util-linux: ddate should probably be in a different package
Date: Sun, 6 Jul 2003 14:22:58 +0200
On Fri, Jun 07, 2002 at 06:50:16PM +0100, Silas S. Brown wrote:
> Package: util-linux
> Version: 2.11n-4
> Severity: normal
> 
> The ddate utility supports the printing of Discordian dates,
> as used by the (apparently fictional) Church of the
> SubGenius.

Discordian dates are not used by the Church of the SubGenius at all,
and this church is in fact all too real. See http://www.subgenius.com/
if you are interested in this. The POEE calendar, which is the calendar
ddate converts to, is used by Discordians.

> People with more traditional moral values might not
> appreciate a reference to or advertisement for this movement
> being present on their system.  However, because it is in
> util-linux, they will not be able to selectively remove it
> (unless they write a script that is to be run after every
> upgrade).

I for one will not stand for this. I personally use ddate, I use it in
some scripts, I know other people do the same, and I know some Debian
developers would be annoyed if ddate was removed. There are even programs
that use ddate, e.g. freecraft and the games that use its engine.

I will be very sad if Debian can't include ddate because an imaginary
user with "traditional moral values" means more than real users.

> This is significant because it can prevent such people from
> recommending Debian.  It would be much better if "ddate"
> were in some other package (perhaps a package of its own) so
> that it is easier to maintain a system without it, should
> the user wish to do so.

If ddate would prevent them from recommending Debian, I'm sure they would
find something else to prevent them if ddate was removed.

As others have stated in this bug report, it would indeed be very silly to
move ddate it its own package. I like the situation as it is.

-- 
Göran Weinholt <weinholt@dtek.chalmers.se>
GPG: 1024D/4A8854E6 EC27 7F6A DFA9 CBBD 9EE3  F07A 8DF5 8BB6 4A88 54E6
"Science does not remove the terror of the Gods."  -- J.R. "Bob" Dobbs



Reply sent to lamont@hp.com (LaMont Jones):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Silas S. Brown" <ssb22@cam.ac.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 149321-done@bugs.debian.org (full text, mbox):

From: lamont@hp.com (LaMont Jones)
To: 180737-done@bugs.debian.org, 149321-done@bugs.debian.org
Cc: lamont@hp.com
Subject: cleanup
Date: Sun, 6 Jul 2003 12:53:11 -0600
tags 149321 + wontfix
--

ddate is staying, and as indicated, 180737 is already fixed.

lamont



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:17:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.